Package org.eclipse.emf.cdo.workspace

## Interface CDOWorkspaceConfiguration

-     public interface CDOWorkspaceConfiguration

  Checks out new `workspace` or opens existing ones.
  Since:
    4.1
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_LOCAL_REPOSITORY_NAME` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOWorkspace` | `checkout()` |
    `CDOWorkspaceBase` | `getBase()` |
    `int` | `getBranchID()` |
    `java.lang.String` | `getBranchPath()` |
    `CDOCommonRepository.IDGenerationLocation` | `getIDGenerationLocation()` |
    `CDOIDGenerator` | `getIDGenerator()` |
    `java.lang.String` | `getLocalRepositoryName()` |
    `CDOSessionConfigurationFactory` | `getRemote()` |
    `IStore` | `getStore()` |
    `long` | `getTimeStamp()` |
    `CDOWorkspace` | `open()` |
    `void` | `setBase​(CDOWorkspaceBase base)` |
    `void` | `setBranchID​(int branchPath)` |
    `void` | `setBranchPath​(java.lang.String branchPath)` |
    `void` | `setIDGenerationLocation​(CDOCommonRepository.IDGenerationLocation idGenerationLocation)` |
    `void` | `setIDGenerator​(CDOIDGenerator idGenerator)` |
    `void` | `setLocalRepositoryName​(java.lang.String localRepositoryName)` |
    `void` | `setRemote​(CDOSessionConfigurationFactory remote)` |
    `void` | `setStore​(IStore store)` |
    `void` | `setTimeStamp​(long timeStamp)` |

- - ### Field Detail

    - #### DEFAULT_LOCAL_REPOSITORY_NAME

          static final java.lang.String DEFAULT_LOCAL_REPOSITORY_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getLocalRepositoryName

          java.lang.String getLocalRepositoryName()

    - #### setLocalRepositoryName

          void setLocalRepositoryName​(java.lang.String localRepositoryName)

    - #### getStore

          IStore getStore()

    - #### setStore

          void setStore​(IStore store)

    - #### getBase

          CDOWorkspaceBase getBase()

    - #### setBase

          void setBase​(CDOWorkspaceBase base)

    - #### getRemote

          CDOSessionConfigurationFactory getRemote()

    - #### setRemote

          void setRemote​(CDOSessionConfigurationFactory remote)

    - #### getBranchID

          int getBranchID()

      Since:
        4.2

    - #### setBranchID

          void setBranchID​(int branchPath)

      Since:
        4.2

    - #### getBranchPath

          java.lang.String getBranchPath()

    - #### setBranchPath

          void setBranchPath​(java.lang.String branchPath)

    - #### getTimeStamp

          long getTimeStamp()

    - #### setTimeStamp

          void setTimeStamp​(long timeStamp)

    - #### getIDGenerationLocation

          CDOCommonRepository.IDGenerationLocation getIDGenerationLocation()

    - #### setIDGenerationLocation

          void setIDGenerationLocation​(CDOCommonRepository.IDGenerationLocation idGenerationLocation)

    - #### getIDGenerator

          CDOIDGenerator getIDGenerator()

    - #### setIDGenerator

          void setIDGenerator​(CDOIDGenerator idGenerator)

    - #### open

          CDOWorkspace open()

    - #### checkout

          CDOWorkspace checkout()